com.smartgwt.client.widgets.tab.events

## Class TabSelectedEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<H>
      - - com.smartgwt.client.widgets.events.BrowserEvent<TabSelectedHandler>
        - - com.smartgwt.client.widgets.tab.events.TabSelectedEvent

-     public class TabSelectedEvent
      extends BrowserEvent<TabSelectedHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabSelectedEvent(JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(TabSelectedHandler handler)`
    `static <S extends HasTabSelectedHandlers & HasHandlers> void` | `fire(S source, JavaScriptObject jsObj)` Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `GwtEvent.Type<TabSelectedHandler>` | `getAssociatedType()`
    `java.lang.String` | `getID()` id of the tab
    `java.lang.String` | `getName()` the name of the newly selected tab
    `Tab` | `getTab()` the tab object (not tab button instance)
    `int` | `getTabNum()` number of the tab
    `Canvas` | `getTabPane()` pane for this tab
    `static GwtEvent.Type<TabSelectedHandler>` | `getType()` Gets the type associated with this event.

    - ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

      `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TabSelectedEvent

          public TabSelectedEvent(JavaScriptObject jsObj)

  - ### Method Detail

    - #### fire

          public static <S extends HasTabSelectedHandlers & HasHandlers> void fire(S source,
                                                                  JavaScriptObject jsObj)

      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static GwtEvent.Type<TabSelectedHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(TabSelectedHandler handler)

      Specified by:
        `dispatch` in class `GwtEvent<TabSelectedHandler>`

    - #### getAssociatedType

          public final GwtEvent.Type<TabSelectedHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `GwtEvent<TabSelectedHandler>`

    - #### getTabNum

          public int getTabNum()

      number of the tab
      Returns:
        number of the tab

    - #### getTabPane

          public Canvas getTabPane()

      pane for this tab
      Returns:
        pane for this tab

    - #### getID

          public java.lang.String getID()

      id of the tab
      Returns:
        id of the tab

    - #### getTab

          public Tab getTab()

      the tab object (not tab button instance)
      Returns:
        the tab object (not tab button instance)

    - #### getName

          public java.lang.String getName()

      the name of the newly selected tab
      Returns:
        the name of the newly selected tab